Announcement Announcement Module
Collapse
No announcement yet.
Issues of making dependencies to Bundle Project Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Issues of making dependencies to Bundle Project

    I have encounted this problem when dealing with the bundle dependencies of SpringSource dm Server Bundle projects:

    1. Make two SpringSource dm Server Bundle projects using wizard "SpringSource dm Server Bundle projects": testa and testb

    2.Open Manifest.MF of project "testa" with Bundle manifest editor, then open Dependencies tab of it.

    3. Use "import bundle", click "add", in the list poped-up, I can find testb 1.0.0 and add it.

    4. After that, I found a validation error "Import-Bundle: testb[1.0.0, 1.0.0]" could not be resolved.

    I do not know why it happens, is it a bug of STS or there is something I missed?

    Thanks.

  • #2
    It is happened on STS2.3.0

    It is happened on STS2.3.0

    Comment


    • #3
      GeoffHood,

      the following thread explains how referencing bundles in the same workspace works with STS: http://forum.springsource.org/showthread.php?t=61559

      HTH

      Christian

      Comment


      • #4
        It works! Christan.

        thanks very much

        Comment

        Working...
        X